package com.sunxung.factoring.entity.financing.sop;

/**
 * @author liutao
 * @date 2022-10-31
 */
public class GuaranteeInfoApi {

    /**
     * 保证类型
     * 个人：personal，公司：company
     */
    private String guaranteeType;

    /**
     * 担保人名称
     */
    private String guarantorName;

    /**
     * 担保人证件类型
     * 0：身份证； 1：护照； B：港澳居民来往内地通行证, C：台湾居民来往大陆通行证;
     */
    private String guaranteeCardType;

    /**
     * 担保人证件号
     */
    private String certificateNo;

    /**
     * 担保人联系方式
     */
    private String contactNumber;

    /**
     * 担保人证件照正面
     */
    private String guaranteeCardFrontFile;

    /**
     * 担保人证件照正面文件后缀
     */
    private String guaranteeCardFrontFileSuffix;

    /**
     * 担保人证件照反面
     */
    private String guaranteeCardReverseFile;

    /**
     * 担保人证件照反面文件后缀
     */
    private String guaranteeCardReverseFileSuffix;

    /**
     * 邮箱
     */
    private String guarantorEmail;

    /**
     * 住所地(身份证地址)
     */
    private String address;

    /**
     * 实际地址(实际住址)
     */
    private String actualAddress;

    /**
     * 是否有资产清单
     * 0：无，1：有
     */
    private Integer propertyList;

    /**
     * 担保函类型
     * 0：常规担保函，1：最高额保证合同
     */
    private Integer guaranteeClassify;

    public String getGuaranteeType() {
        return guaranteeType;
    }

    public void setGuaranteeType(String guaranteeType) {
        this.guaranteeType = guaranteeType;
    }

    public String getGuarantorName() {
        return guarantorName;
    }

    public void setGuarantorName(String guarantorName) {
        this.guarantorName = guarantorName;
    }

    public String getGuaranteeCardType() {
        return guaranteeCardType;
    }

    public void setGuaranteeCardType(String guaranteeCardType) {
        this.guaranteeCardType = guaranteeCardType;
    }

    public String getCertificateNo() {
        return certificateNo;
    }

    public void setCertificateNo(String certificateNo) {
        this.certificateNo = certificateNo;
    }

    public String getContactNumber() {
        return contactNumber;
    }

    public void setContactNumber(String contactNumber) {
        this.contactNumber = contactNumber;
    }

    public String getGuaranteeCardFrontFile() {
        return guaranteeCardFrontFile;
    }

    public void setGuaranteeCardFrontFile(String guaranteeCardFrontFile) {
        this.guaranteeCardFrontFile = guaranteeCardFrontFile;
    }

    public String getGuaranteeCardReverseFile() {
        return guaranteeCardReverseFile;
    }

    public void setGuaranteeCardReverseFile(String guaranteeCardReverseFile) {
        this.guaranteeCardReverseFile = guaranteeCardReverseFile;
    }

    public String getGuarantorEmail() {
        return guarantorEmail;
    }

    public void setGuarantorEmail(String guarantorEmail) {
        this.guarantorEmail = guarantorEmail;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getActualAddress() {
        return actualAddress;
    }

    public void setActualAddress(String actualAddress) {
        this.actualAddress = actualAddress;
    }

    public Integer getPropertyList() {
        return propertyList;
    }

    public void setPropertyList(Integer propertyList) {
        this.propertyList = propertyList;
    }

    public Integer getGuaranteeClassify() {
        return guaranteeClassify;
    }

    public void setGuaranteeClassify(Integer guaranteeClassify) {
        this.guaranteeClassify = guaranteeClassify;
    }

    public String getGuaranteeCardFrontFileSuffix() {
        return guaranteeCardFrontFileSuffix;
    }

    public void setGuaranteeCardFrontFileSuffix(String guaranteeCardFrontFileSuffix) {
        this.guaranteeCardFrontFileSuffix = guaranteeCardFrontFileSuffix;
    }

    public String getGuaranteeCardReverseFileSuffix() {
        return guaranteeCardReverseFileSuffix;
    }

    public void setGuaranteeCardReverseFileSuffix(String guaranteeCardReverseFileSuffix) {
        this.guaranteeCardReverseFileSuffix = guaranteeCardReverseFileSuffix;
    }

    @Override
    public String toString() {
        return "GuaranteeInfoApi{" +
                "guaranteeType='" + guaranteeType + '\'' +
                ", guarantorName='" + guarantorName + '\'' +
                ", guaranteeCardType='" + guaranteeCardType + '\'' +
                ", certificateNo='" + certificateNo + '\'' +
                ", contactNumber='" + contactNumber + '\'' +
                ", guaranteeCardFrontFile='" + guaranteeCardFrontFile + '\'' +
                ", guaranteeCardFrontFileSuffix='" + guaranteeCardFrontFileSuffix + '\'' +
                ", guaranteeCardReverseFile='" + guaranteeCardReverseFile + '\'' +
                ", guaranteeCardReverseFileSuffix='" + guaranteeCardReverseFileSuffix + '\'' +
                ", guarantorEmail='" + guarantorEmail + '\'' +
                ", address='" + address + '\'' +
                ", actualAddress='" + actualAddress + '\'' +
                ", propertyList=" + propertyList +
                ", guaranteeClassify=" + guaranteeClassify +
                '}';
    }
}
